package com.bonus.canteen.core.menu.vo;

import com.bonus.canteen.core.menu.constant.BigDecimalSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel("菜品营养信息")
public class MenuDishesNutritionVO {
   @ApiModelProperty("热量(千卡/100g)")
   @JsonSerialize(
      using = BigDecimalSerializer.class
   )
   private BigDecimal calories;
   @ApiModelProperty("蛋白质(g/100g)")
   @JsonSerialize(
      using = BigDecimalSerializer.class
   )
   private BigDecimal protein;
   @ApiModelProperty("脂肪(g/100g)")
   @JsonSerialize(
      using = BigDecimalSerializer.class
   )
   private BigDecimal fat;
   @ApiModelProperty("碳水化合物(g/100g)")
   @JsonSerialize(
      using = BigDecimalSerializer.class
   )
   private BigDecimal carbohydrate;
   @ApiModelProperty("膳食纤维(g/100g)")
   @JsonSerialize(
      using = BigDecimalSerializer.class
   )
   private BigDecimal dietaryFiber;
   @ApiModelProperty("胆固醇(mg/100g)")
   @JsonSerialize(
      using = BigDecimalSerializer.class
   )
   private BigDecimal cholesterol;
   @ApiModelProperty("钙(mg/100g)")
   @JsonSerialize(
      using = BigDecimalSerializer.class
   )
   private BigDecimal calcium;
   @ApiModelProperty("钠(mg/100g)")
   @JsonSerialize(
      using = BigDecimalSerializer.class
   )
   private BigDecimal sodium;
   @ApiModelProperty("总嘌呤含量(mg/100g)")
   @JsonSerialize(
      using = BigDecimalSerializer.class
   )
   private BigDecimal purine;
   @ApiModelProperty("铁(mg/100g)")
   @JsonSerialize(
      using = BigDecimalSerializer.class
   )
   private BigDecimal iron;
   @ApiModelProperty("碘(μg/100g)")
   @JsonSerialize(
      using = BigDecimalSerializer.class
   )
   private BigDecimal iodine;
   @ApiModelProperty("钾(mg/100g)")
   @JsonSerialize(
      using = BigDecimalSerializer.class
   )
   private BigDecimal kalium;
   @ApiModelProperty("维生素a(μg/100g)")
   @JsonSerialize(
      using = BigDecimalSerializer.class
   )
   private BigDecimal vitaminA;
   @ApiModelProperty("维生素c(mg/100g)")
   @JsonSerialize(
      using = BigDecimalSerializer.class
   )
   private BigDecimal vitaminC;
   @ApiModelProperty("维生素e(g/100g)")
   @JsonSerialize(
      using = BigDecimalSerializer.class
   )
   private BigDecimal vitaminE;
   @ApiModelProperty("镁(mg/100g)")
   @JsonSerialize(
      using = BigDecimalSerializer.class
   )
   private BigDecimal magnesium;
   @ApiModelProperty("锌(mg/100g)")
   @JsonSerialize(
      using = BigDecimalSerializer.class
   )
   private BigDecimal zinc;
   @ApiModelProperty("血糖生成指数(GI)")
   @JsonSerialize(
      using = BigDecimalSerializer.class
   )
   private BigDecimal glycemicIndex;

   public BigDecimal getCalories() {
      return this.calories;
   }

   public BigDecimal getProtein() {
      return this.protein;
   }

   public BigDecimal getFat() {
      return this.fat;
   }

   public BigDecimal getCarbohydrate() {
      return this.carbohydrate;
   }

   public BigDecimal getDietaryFiber() {
      return this.dietaryFiber;
   }

   public BigDecimal getCholesterol() {
      return this.cholesterol;
   }

   public BigDecimal getCalcium() {
      return this.calcium;
   }

   public BigDecimal getSodium() {
      return this.sodium;
   }

   public BigDecimal getPurine() {
      return this.purine;
   }

   public BigDecimal getIron() {
      return this.iron;
   }

   public BigDecimal getIodine() {
      return this.iodine;
   }

   public BigDecimal getKalium() {
      return this.kalium;
   }

   public BigDecimal getVitaminA() {
      return this.vitaminA;
   }

   public BigDecimal getVitaminC() {
      return this.vitaminC;
   }

   public BigDecimal getVitaminE() {
      return this.vitaminE;
   }

   public BigDecimal getMagnesium() {
      return this.magnesium;
   }

   public BigDecimal getZinc() {
      return this.zinc;
   }

   public BigDecimal getGlycemicIndex() {
      return this.glycemicIndex;
   }

   public void setCalories(final BigDecimal calories) {
      this.calories = calories;
   }

   public void setProtein(final BigDecimal protein) {
      this.protein = protein;
   }

   public void setFat(final BigDecimal fat) {
      this.fat = fat;
   }

   public void setCarbohydrate(final BigDecimal carbohydrate) {
      this.carbohydrate = carbohydrate;
   }

   public void setDietaryFiber(final BigDecimal dietaryFiber) {
      this.dietaryFiber = dietaryFiber;
   }

   public void setCholesterol(final BigDecimal cholesterol) {
      this.cholesterol = cholesterol;
   }

   public void setCalcium(final BigDecimal calcium) {
      this.calcium = calcium;
   }

   public void setSodium(final BigDecimal sodium) {
      this.sodium = sodium;
   }

   public void setPurine(final BigDecimal purine) {
      this.purine = purine;
   }

   public void setIron(final BigDecimal iron) {
      this.iron = iron;
   }

   public void setIodine(final BigDecimal iodine) {
      this.iodine = iodine;
   }

   public void setKalium(final BigDecimal kalium) {
      this.kalium = kalium;
   }

   public void setVitaminA(final BigDecimal vitaminA) {
      this.vitaminA = vitaminA;
   }

   public void setVitaminC(final BigDecimal vitaminC) {
      this.vitaminC = vitaminC;
   }

   public void setVitaminE(final BigDecimal vitaminE) {
      this.vitaminE = vitaminE;
   }

   public void setMagnesium(final BigDecimal magnesium) {
      this.magnesium = magnesium;
   }

   public void setZinc(final BigDecimal zinc) {
      this.zinc = zinc;
   }

   public void setGlycemicIndex(final BigDecimal glycemicIndex) {
      this.glycemicIndex = glycemicIndex;
   }
}
